﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace HelloWorld
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            
        }

        

        private void PrintButton_OnClick(object sender, RoutedEventArgs e)
        {
            var printWindow = new PrintWindow();
            printWindow.ShpFilePath = @"shpFiles\Cardiff_Boundary_region.shp";
            printWindow.ShowDialog();

        }


        private void MainWindow_OnLoaded(object sender, RoutedEventArgs e)
        {
            var ShpFilePath = @"shpFiles\Cardiff_Boundary_region.shp";

            wpfMap1.MapUnit = GeographyUnit.Meter;

            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(ShpFilePath);

            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County2;
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay layerOverlay = new LayerOverlay();

            layerOverlay.Layers.Add(layer);

            wpfMap1.Overlays.Add(layerOverlay);

            layer.Open();
            wpfMap1.CurrentExtent = layer.GetBoundingBox();
            layer.Close();

            wpfMap1.Refresh();
        }
    }
}
